For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • PUTUpdate Shopping List
            • GETGet Shopping List ID and Name
            • POSTAdd Shopping List Items
            • PUTUpdate Shopping List Items
            • GETList Shopping List Items Extension
            • DELDelete Shopping List Item
            • DELDelete Shopping List
            • POSTDuplicate Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontShopping List

Delete Shopping List Item

DELETE
https://api-b2b.bigcommerce.com/api/v2/shoppinglists/:shoppingListId/items/:itemId
DELETE
/api/v2/shoppinglists/:shoppingListId/items/:itemId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v2/shoppinglists/shoppingListId/items/itemId \
> -H "Authorization: Bearer <token>"
200example-1
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Delete shopping list item using shoppingListId and itemId. Equivalent Storefront GraphQL API Mutation: `shoppingListsItemsDelete`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

List Shopping List Items Extension

Next

Delete Shopping List

Built with

Delete shopping list item using shoppingListId and itemId. Equivalent Storefront GraphQL API Mutation: shoppingListsItemsDelete. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

shoppingListIdstringRequired
Shopping list ID
itemIdstringRequired
Item id

Response

OK
codedouble
messagestring>=1 character
dataobject